Subject: Icom IC2100H channel alphanumeric display contents do not appear after CHIRP upload to radio

Description

Chirp Ver0.4.0

Symptom:

    Memory channels which were blank, do not show alphanumeric contents after programming & upload to the radio from CHIRP.  All

memory content appears correct (frequency, offset tones etc.) but only the numeral frequency is displayed not the alphanumeric

name.

How to duplicate the problem:

    Upload radio memory contents to CHIRP.  Manually program a blank (unused) memory. Data may also be copied from another

memory entry and pasted to the new memory location.  The new or copied entry appears to be complete including the correct number

and type of alphanumeric characters in the ‘Name’ column.  Upload the new data to the radio.  The newly programmed memory

channel display shows the frequency in numerals only, the alphanumeric ‘NAME’ contents are not displayed. 

Work Around:

    Press the [(MONI)ANM] key for two seconds to select the alphanumeric indication for this memory channel. This must be done for

each channel for which there is new alphanumeric content, even if the channel entry was copied then pasted from a previous record.  

Notes:

Changes to the ‘Name’ data for any channel that previously displayed alphanumeric content are handled correctly.

Probable Cause?:

    It’s likely a flag that requests the alpha content be used for a memory channel is not set when alpha content appears in the chirp

‘Name’ column for the first time.

Associated revisions

Revision 2227:10bbbbd28a85 - 07/07/2014 04:31 pm - Jim Unroe 

[IC2100H] add setting to enable display of alphanumeric channel names

import RadioSettings from chirp.settings

add "anm"  (alphanumeric) parameter to structures

add mem.extra code to "def get_memory(self, number):" 

add "Alphanumeric Name" setting

add code to enable "anm" when a memory with a "name is edited

add mem.extra code to "def set_memory(self, mem):"

related to issue #1733

History

#1 - 07/04/2014 07:38 am - Jim Unroe

Wayne,

Would you attach a .img file with two identical memories except one shows the "NAME" and the other one doesn't. Let us know which memory is
which.

Jim KC9HI

#2 - 07/04/2014 08:54 am - Wayne Getchell

- File IC2100h 04Jul14.img added

- File IC2100h 30Jun14.img added

Hi Jim

Here are two files.  The IC2100h 30Jun14.img file and IC2100h 04Jul14.img.  When uploaded to the radio the 30Jun image will only show numerals in

memory entries 7,8,14, and 15.  The 04Jul14 file when uploaded will show the alphanumeric data in those memory locations.

#3 - 07/04/2014 06:28 pm - Wayne Getchell

- File ChirpEditMultMemScreen.jpg added

Hi Jim

Here are two files.  The IC2100H 30Jun14.img file and IC2100H 04Jul14.img.  When uploaded the 30Jun image will only show numerals in memory

entries 7,8,14, and 15.  The 04Jul14 file when uploaded will show the alphanumeric data in those memory locations. 

Second reply to Jim KC9HI

Hi Jim

Well that process worked ok.  It does however result in a programming procedure that is not as intuitive as one might like.  I think that most users

expect that when an alpha is entered into the name column it will automatically appear on the display.  I believe it would be useful to tell users how to

use the edit and especially the multiple memory edit alpha options as a ‘post process’ before uploading data to the radio.  

I successfully unchecked the alphanumeric on several entries first individually and subsequently using the multiple memories edit approach.  I verified

the alpha status was removed by uploading to the radio and indeed the alpha was not displayed. 

Using the multiple memories edit approach I then did a ‘post process’ change on all memories to enable the alphanumeric display, including even

those that were already enabled.  It worked just fine (save of course as you mentioned the blank entries).  I did note as shown in the attached screen

shot, that when programming multiple memories all options appear ‘ghosted’.  I initially found this somewhat confusing. Some users may be inclined to

believe that options are not available and give up. 

Regards

Wayne

#4 - 07/05/2014 06:21 am - Jim Unroe

- File ic2100_enable_anm_display.patch added

Wayne,

I know it would be nice to have a tick box right next to the Name column so that it could be ticked at the same time a name was entered, that that isn't

how CHIRP currently works.

The displayed columns are based on what is required for the most common radios. Any additional settings that are particular to a specific radio must

be added to the right-click memory editor.

I'm sure it is possible for CHIRP to automatically enable this setting if the NAME setting was populated, but I'm not your programmer for something like

that. That would require someone like Marco, Tom or even Dan to do something like that.

I'm not sure toggling it on automatically because there is a NAME is the right thing to do. I'm sure there are some that would still like to see the

frequency even though the NAME is available. Otherwise there wouldn't be a toggle on the radio to switch between the two.
I have attached the patch in its current state if someone wants to expand upon it. If not, I can submit it as-is so at least the capability of enabling the

AMN display will be available.

Jim KC9HI

#5 - 07/06/2014 08:27 am - Wayne Getchell

Hi Jim

Thanks for posting the patch.  I found the simplest way of enabling alpha for all newly programmed channels was to select all the channels by clicking

the first then last channel then right clicking edit and use the multiple memories edit feature to enable alpha.

Ideally anytime there is data in the Chirp name column after program upload to radio it should appear on the radio’s display when the radio’s

alphanumeric function is active.  In this case there would be no need for a check box next to the name column, as when there is an entry in the name

column, it would be assumed automatically that the alpha for that channel is enabled.  I often forget what frequency I’m operating on as virtually all the

time the alpha is displayed.  However on the IC2100H it’s a simple matter of pressing the front panel ‘MONI/AMM’ button for a couple seconds to

toggle between alpha and numeric readout for any channel.

#6 - 07/06/2014 02:25 pm - Jim Unroe

- Status changed from New to In Progress

- Assignee set to Jim Unroe

- Target version set to 0.4.1

- % Done changed from 0 to 70

- Chirp Version changed from 0.4.0 to daily

- Platform changed from Windows to All

I believe I have figured this out so I will assign myself to it.

Jim KC9HI

#7 - 07/06/2014 07:26 pm - Wayne Getchell

Hi Jim

You’ve gone well beyond the call of duty here.  All scenarios work exactly as you defined!  Good stuff.  One interesting note and I hope this doesn’t

confuse you. If it does just ignore it because all seems to be functioning perfectly.  Here goes…  If you have an alpha entry in Chirp but edit it and

uncheck the alpha then upload the datafile to the radio, the memory displays the frequency as you would expect.  If you then press the ‘MONI/AMN’

button to change the entry to alpha, because there was an alpha data entry in the datafile, the display changes to that alpha entry (neat).   Now with

the alpha showing for that memory, when you downloaded from the radio then edit by highlighting the memory and right clicking, that memory will

show alpha active (and should because it was!).  If the radio is displaying the frequency (alpha off) and the memory is downloaded to Chirp, the alpha

entry is displayed in Chirp and if you highlight and right click to edit, you will see that the alpha isn’t enabled (again exactly as you would want.) 

Excellent!

#8 - 07/07/2014 05:10 pm - Jim Unroe

- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

Wayne,

A patch has been submitted and should be available in the next daily build.
Jim KC9HI

#9 - 07/09/2014 03:03 am - Jim Unroe

- Status changed from Resolved to Closed

Patch is now included in current daily build

Files

IC2100h 04Jul14.img 2 kB 07/04/2014 Wayne Getchell

IC2100h 30Jun14.img 2 kB 07/04/2014 Wayne Getchell

ChirpEditMultMemScreen.jpg 155.2 kB 07/04/2014 Wayne Getchell

ic2100_enable_anm_display.patch 2.3 kB 07/05/2014 Jim Unroe
